import { createParamDecorator } from '@nestjs/common';

/*
UserDecorator

See auth.guard.ts in shared folder for more information

Returns user id and user name, this is mainly used to return user id
*/

// used to pass user information to controllers
export const User = createParamDecorator((data, req) => {
  return data ? req.user[data] : req.user;
});
